org.apache.sling.nosql.mongodb.resourceprovider.impl

## Class MongoDBNoSqlAdapter

- java.lang.Object
- - org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter
  - - org.apache.sling.nosql.mongodb.resourceprovider.impl.MongoDBNoSqlAdapter

All Implemented Interfaces:
  org.apache.sling.nosql.generic.adapter.NoSqlAdapter

    public final class MongoDBNoSqlAdapter
    extends org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter

`NoSqlAdapter` implementation for MongoDB.

### Constructor Summary

Constructors
Constructor and Description
`MongoDBNoSqlAdapter(com.mongodb.MongoClient mongoClient, String database, String collection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkConnection()`
`void` `createIndexDefinitions()`
`boolean` `deleteRecursive(String path)`
`org.apache.sling.nosql.generic.adapter.NoSqlData` `get(String path)`
`Iterator<org.apache.sling.nosql.generic.adapter.NoSqlData>` `getChildren(String parentPath)`
`boolean` `store(org.apache.sling.nosql.generic.adapter.NoSqlData data)`

### Methods inherited from class org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter

`query, validPath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MongoDBNoSqlAdapter

    public MongoDBNoSqlAdapter(com.mongodb.MongoClient mongoClient,
                               String database,
                               String collection)

Parameters:
  `mongoClient` - MongoDB client
  `database` - MongoDB database
  `collection` - MongoDB collection

### Method Detail

#### get

    public org.apache.sling.nosql.generic.adapter.NoSqlData get(String path)

#### getChildren

    public Iterator<org.apache.sling.nosql.generic.adapter.NoSqlData> getChildren(String parentPath)

#### store

    public boolean store(org.apache.sling.nosql.generic.adapter.NoSqlData data)

#### deleteRecursive

    public boolean deleteRecursive(String path)

#### checkConnection

    public void checkConnection()
                         throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

#### createIndexDefinitions

    public void createIndexDefinitions()